.

FAQ

SynchroArts.com works best with JavaScript enabled

VocALign Pro and VocALign Project with ARA 2 require Logic Pro X 10.5.1.
Previous versions of Logic Pro X are not supported.


ARA 2 support was introduced with VocALign Pro Audio Units 4.4.1.1 and VocALign Project Audio Units 3.5.1.1

The latest installers are always available from our Downloads page.
Please ensure you follow the installations instructions very carefully.
If you encounter any difficulty, please report it to support@synchroarts.com